[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Summary - Broken dependencies in Fedora Extras - 2006-09-26



Patrice Dumas wrote:

> On Thu, Sep 28, 2006 at 01:30:46PM +0200, Ralf Corsepius wrote:
>> 
>> I guess you know that lesstif MUST NOT depend on libGLw, because you'd
>> otherwise introduce a circular dependency, because libGLw depends on
>> Motif.
> 
> I know. But this is only a devel dependency for a check. So the real
> dependency is libGLw-devel depending on lesstif-devel, but for the
> check, libGLw-devel also has to be buildrequired by lesstif (for
> other reasons, currently the lesstif tests are not run, so the dependency
> is really useless today, but let's do as if the tests were run).
> 
> There is a chicken and egg issue, but it was solved by the fact that
> libGLw-devel compiled against openmotif was available when lesstif was
> submitted.
> 
> Rex insisted on having this BuildRequires, I am not convinced that it
> is right. 

I'm pretty much convinced at this point that it is not right.  You certainly
have my blessing to do what you think is best, probably dropping BR:
libGLw-devel at this point, at least for now, until a better solution
presents itself.

-- Rex


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]